Skip to main content
PUT
Python (SDK)

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

If-Match
string

The version of the state you read and edited. When supplied, the write is refused with 412 if anyone changed the state in the meantime, instead of silently overwriting them. * matches the current state unconditionally.

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

key
string
requerido
Pattern: ^[a-z0-9][a-z0-9-]{0,62}$
env
string
requerido
Pattern: ^[a-z0-9][a-z0-9-]{0,62}$

Cuerpo

application/json
enabled
boolean
requerido
overrides
object[]
requerido
Maximum array length: 1000
rollout_percentage
integer
requerido
Rango requerido: 0 <= x <= 100
rules
object[]
requerido
Maximum array length: 100
value
any
requerido

Cualquier valor JSON; su forma está restringida por el valor_type de la bandera.

Respuesta

Estado guardado

enabled
boolean
requerido
overrides
object[]
requerido
Maximum array length: 1000
rollout_percentage
integer
requerido
Rango requerido: 0 <= x <= 100
rules
object[]
requerido
Maximum array length: 100
value
any
requerido

Cualquier valor JSON; su forma está restringida por el valor_type de la bandera.

updated_at
string<date-time>
requerido
version
string
requerido

Token de revisión opaco. Envíelo de vuelta como If-Match en la siguiente escritura a ese estado para que una edición concurrente sea rechazada en lugar de sobrescribirse silenciosamente. Compárelo y devuélvalo; nunca lo analice.